#ifndef __ViewCache_h__
# define __ViewCache_h__

#include "HTTPParameters.h"
#include "MString.h"

namespace http {

   class ViewCache {

    public:
      ViewCache();
      virtual ~ViewCache();

      bool getView(HTTPParameters &p);

    private:
      std::map<coreutils::MString, coreutils::MString> views;

   };

}

#endif
